Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 05:50
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
dropbox for slacko
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
telltom

Joined: 23 May 2010
Posts: 95

PostPosted: Mon 16 Jan 2012, 21:27    Post subject:  dropbox for slacko
Subject description: which download works and does it have the dependencies
 

i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1430
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Mon 16 Jan 2012, 22:03    Post subject: Re: dropbox for slacko
Subject description: which download works and does it have the dependencies
 

telltom wrote:
i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.


If it was the dropbox_1.0.20.pet then you need python installed then the dropbox downloader will install the latest from dropbox, I just tried it and it still works.

I'm not sure whether you need the devx installed to get python, I think I had troulble with python with slacko so I used this one http://www.smokey01.com/jemimah/sfs/Python2.6-pygtk.sfs

anyway give that a go being a sfs you can always unload it, but I'm guessing it will work with the dropbox installer.

Geoffrey
Back to top
View user's profile Send private message 
linbie

Joined: 09 Jan 2010
Posts: 63

PostPosted: Mon 16 Jan 2012, 22:04    Post subject: Re: dropbox for slacko
Subject description: which download works and does it have the dependencies
 

telltom wrote:
i'm trying to find dropbox for Slacko Pup531. I downloaded one off the forum but it doesn't open. if you can link me thanks.


See opening post

http://www.murga-linux.com/puppy/viewtopic.php?t=65624
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Tue 17 Jan 2012, 02:04    Post subject:  

This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1430
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Tue 17 Jan 2012, 03:37    Post subject:  

DaveS wrote:
This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs


Hi DaveS, every http://puppylinuxstuff.meownplanet.net link I have ever tried I get "OI! What are you doing? You're not supposed to be here! the bathroom's that-a-way >> OR: this is an error code 403, which means that access is forbidden." don't even get a user name password popup. I was just wondering why this might be Confused
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Tue 17 Jan 2012, 03:43    Post subject:  

that is pretty ugly (huge for what it does), here is something differently ugly:
(I designed it to run on old gtk1 boxes with only Xdialog, curl, sed and tr ... feel free to tweak away)
Code:
#!/bin/ash

check_deps(){
for i in $@; do
which $i > /dev/null || die "Error: dependency not found: $i"
done
}

cleanup(){
rm -f $DB_COOKIE $DB_RESPONSE
}

die(){
echo -e "$@"
cleanup
exit 1
}

drop(){ #upload a file or entire directory to dropbox
[ -f "$1" ] && curl --progress-bar -b $DB_COOKIE -o /dev/null -F "plain=yes" -F "dest=$DB_DIR" -F "t=$DB_TOKEN" -F "file=@$1" https://dl-web.dropbox.com/upload  2>&1 | tr "\r" "\n"|sed "s,# *,,gm"| Xdialog --title "Progress" --no-close --gauge "$1 \n Transferring ..." 0 0 && return 0
cd "$1"
for i in *; do
   drop "$i"
done
}

check_deps Xdialog curl sed tr
trap die SIGINT

if [ ! -f "$HOME/.dropbox" ]; then
DB_DIR="Public"
Xdialog --stdout --separator " " --password --3inputsbox "Account info" 0 0 "default folder" "$DB_DIR" "email" "$DB_EMAIL" password "$DB_PASSWD" | while read DB_DIR DB_EMAIL DB_PASSWD; do
echo '
DB_COOKIE="/tmp/DBC_$RANDOM"
DB_RESPONSE="/tmp/DBR_$RANDOM"
DB_DIR='$DB_DIR'
DB_EMAIL='$DB_EMAIL'
DB_PASSWD='$DB_PASSWD'
' > "${HOME}/.dropbox"
done
#can we save the DB_TOKEN too??? need to test a couple of days, to save traffic
fi
. ${HOME}/.dropbox

curl -s --show-error -i -c $DB_COOKIE -o $DB_RESPONSE --data "login_email=$DB_EMAIL&login_password=$DB_PASSWD&t=$DB_TOKEN" https://www.dropbox.com/login
DB_TOKEN=`curl -s --show-error -i -b "$DB_COOKIE" -o - https://www.dropbox.com/home |tr -d '\n' | \
sed 's/.*<form action="https:\/\/dl-web.dropbox.com\/upload"[^>]*>\s*<input type="hidden" name="t" value="\([a-z 0-9]*\)".*/\1/'`
[ "$DB_TOKEN" ] || die " Token failed!\n"

[ -d "$1" -o -f "$1" ] && drop "$1" || drop `Xdialog --stdout --fselect ./ 0 0 || exit`

cleanup

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Tue 17 Jan 2012, 04:08    Post subject:  

Geoffrey wrote:
DaveS wrote:
This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs


Hi DaveS, every http://puppylinuxstuff.meownplanet.net link I have ever tried I get "OI! What are you doing? You're not supposed to be here! the bathroom's that-a-way >> OR: this is an error code 403, which means that access is forbidden." don't even get a user name password popup. I was just wondering why this might be Confused


Its a permissions thing. The uploader has to set public permissions. I thought I had done that?

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
telltom

Joined: 23 May 2010
Posts: 95

PostPosted: Tue 17 Jan 2012, 06:07    Post subject:  

thanks guys, i got it with dependencies included.
Back to top
View user's profile Send private message 
Vic20

Joined: 23 Jan 2012
Posts: 3

PostPosted: Mon 23 Jan 2012, 09:54    Post subject:    

Thanks! The .pet installed perfectly.

Cheers.
DaveS wrote:
This should 'just work', no extra deps rqd.
http://puppylinuxstuff.meownplanet.net/DaveS/dropbox/
username: puppy
password: linux
You can have either the .pet or the sfs
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0723s ][ Queries: 12 (0.0068s) ][ GZIP on ]